Skip to Content

List mailboxes

Returns summaries of the mailboxes the caller can read, newest first, filterable by namespace (`namespaceId`) and creation time (`after`, `before`).

GET
/v1/mailboxes

Returns summaries of the mailboxes the caller can read, newest first, filterable by namespace (namespaceId) and creation time (after, before). Pass nextCursor back as cursor for the next page; it is null on the last page. Read a mailbox's endpoints and metadata with GET /v1/mailboxes/{id}.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

limit?|null
cursor?string
after?string
before?string
namespaceId?string
Match^ns_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

MailboxPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.list({});
Example Response
{
  "items": [
    {
      "id": "string",
      "kind": "personal",
      "owner": "string",
      "namespaceId": "string",
      "slug": "string",
      "name": "string",
      "status": "active",
      "primaryAddress": "string",
      "sendingStatus": "pending",
      "createdAt": "string"
    }
  ],
  "nextCursor": "string"
}

Related documentation